SELinux - Bug #15639

OpenStack 8774 port is not associated on RHEL6
07/11/2016 06:50 AM - Lukas Zapletal

Status: Closed

Priority: Normal

Assignee: Lukas Zapletal

Category: Compute resources

Target version: 1.11.4

Difficulty: trivial

Triaged:

Bugzilla link:

Pull request: https://github.com/theforeman/foreman-s

elinux/pull/58

Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

On RHELS the port is not correctly associated in the enable script due to shell comparison typo:

[root@abc ~J# semanage port - | grep 8774

Therefore provisioning fails:

type=AVC msg=audit(1467663634.790:77212): avc: denied { name_connect } for pid=7928 comm="diagnostic_con*" dest=8774
scontext=unconfined_u:system_r:passenger_t:s0 tcontext=system_u:object_r:port_t:s0 tclass=tcp_socket

This was discovered during QA of: https:/bugzilla.redhat.com/show_bug.cgi?id=1318327

Related issues:
Related to SELinux - Bug #10443: Foreman cannot connect to OpenStack

Closed 05/11/2015

Associated revisions

Revision 4494139d - 07/13/2016 11:03 AM - Lukas Zapletal
Fixes #15639 - OpenStack port assigned on RHELS6 (#58)

History

#1 - 07/11/2016 06:52 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-selinux/pull/58 added

#2 - 07/13/2016 12:01 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4494139d280e21911fb16cd7d0d830804be5b31d.

#3 - 07/14/2016 04:09 AM - Dominic Cleal
- Related to Bug #10443: Foreman cannot connect to OpenStack added

#4 - 07/14/2016 04:09 AM - Dominic Cleal

- translation missing: en.field_release set to 169

05/22/2024

1/1



https://bugzilla.redhat.com/show_bug.cgi?id=1318327
https://projects.theforeman.org/projects/selinux/repository/19/revisions/4494139d280e21911fb16cd7d0d830804be5b31d
http://www.tcpdf.org

